[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

sandybridge second generation and squeeze -- problems


I have an i7 2600K (intel chip) machine (second gen sandybridge with
graphics integrated on the processor) running squeeze.  THere are problems
with X, particularly 'hard' reboots on changing tty, logging out, etc.

Googling (http://ubuntuforums.org/showthread.php?t=1728526&page=3)
suggests that the problem is the 'stable' version of intel graphics driver
(2.13) and that I need the latest (2.17).

But in turn this needs a 2.6.38 kernel.

I can install the kernel from backports, once I figure out how (I am a
newbie, at this level of detail anyway), but even backports only goes up
to 2.15 on the intel driver, so I need to build from source and install. 
It is also available from xorg-edgers through ppa, but as I understand it
that is not available on Debian.

Before I move away from a 'stable' system, I was hoping to get a little
advice on managing this.  It is still not guarantted to work, but it seems
the most likely solution.

ANyone else had to do this?  I am wondering if others have had the problem
but were able to solve it 'off list' and have not needed to post it.\

I hope I am asking in the right place.



Reply to: